package config

var Config GatewayConfig

type GatewayConfig struct {
	Server    *Server             `json:"server" yaml:"server" toml:"server"`
	Auth      *Auth               `json:"auth" yaml:"auth" toml:"auth"`
	Websocket *Websocket          `json:"websocket" yaml:"websocket" toml:"websocket"`
	GRPC      *GRPC               `json:"gRPC" yaml:"gRPC" toml:"gRPC"`
	Redis     *Redis              `json:"redis" yaml:"redis" toml:"redis"`
	Servlets  map[string]*Servlet `json:"servlets" yaml:"servlets" toml:"servlets"`
}
