package subscribe

import (
	"fmt"

	"git.loafle.net/commons_go/logging"
	"git.loafle.net/overflow/overflow_gateway_websocket/servlet"
	oos "git.loafle.net/overflow/overflow_subscriber"
)

type SubscriberHandlers struct {
	oos.SubscriberHandlers

	ServletHandler servlet.ServletHandler
}

func (sh *SubscriberHandlers) Validate() {
	sh.SubscriberHandlers.Validate()

	if nil == sh.ServletHandler {
		logging.Logger().Panic(fmt.Sprintf("Gateway Websocket: servletHandler must be specified"))
	}
}
